Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

POST request for new bank integration

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Body

Update model

bicstringnon-emptyrequired

Bank identifier code

currencystring or null

Currency

ledgerstring or null

Ledger

aliasesobject(BankAccountAliases)
companyIdstring(uuid)required

Company id to associate with bankaccount

accountNumberstring>= 6 charactersrequired

Account number

{ "Bic": "DNBANOKK", "Currency": "NOK", "Ledger": "1920", "Aliases": { "Iban": "NO22123456789012", "PlusGirot": "1234567", "BankGirot": "1234567", "GiroKonto": "1234567" }, "CompanyId": "85d459b0-b1e0-42e4-b926-7d19334e5b1a", "AccountNumber": "123456789012" }

Responses

Returns account id. Request added for ZData approval

Body
string(uuid)
Response
No response example

Lists all accounts for a company

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

No request payload

Responses

A list of accounts

Body
companyIdstring(uuid)
accountsArray of objects or null(BankAccountResponseWithReadiness)
Response
{
  "CompanyId": "c33a797c-711b-4244-99fe-d91ed1a4692c",
  "Accounts": [
    {
      "AccountId": "469c6fc6-bf5e-43cb-aa3c-7839aa8d275c",
      "AccountNumber": "123456789012",
      "Bic": "DNBANOKK",
      "Currency": "NOK",
      "AccountGroupId": "bf6c1b88-4478-4c08-876b-9b5c31cbbe5b",
      "Ledger": "1920",
      "Aliases": {
        "Iban": "NO22123456789012",
        "PlusGirot": "1234567",
        "BankGirot": "1234567",
        "GiroKonto": "1234567"
      },
      "ReadyForPayments": true
    }
  ]
}

Get account status for creating payments

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
bbanstringrequired

BBAN

No request payload

Responses

The account status for creating payments

Body
companyIdstring(uuid)

Company id of account

approvalsRequiredinteger(int32)

Number of approvals needed for bank upload

hasBicboolean

Account has BIC set

hasCurrencyboolean

Account has currency set

hasBankIntegrationboolean

Account has bank intregration set. If false, must be handled by ZData

readyForPaymentsbooleanread-only

Indicates whether account is ready for posting payments

Response
No response example

Get account data for a specific account in a specific company

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

bankAccountIdstringrequired

Bank account id or bban

No request payload

Responses

The account details

Body
accountIdstring(uuid)

Account identification

accountNumberstring or null

Account number

bicstring or null

Bank identification code

currencystring or null

Currency

accountGroupIdstring or null(uuid)

Account group identification

ledgerstring or null

Ledger

aliasesobject(BankAccountAliases)
connectionPropertiesobject or null

Connection properties

Response
{
  "AccountId": "549fb389-d0c5-4835-9a92-9dff9a2d77c9",
  "AccountNumber": "123456789012",
  "Bic": "DNBANOKK",
  "Currency": "NOK",
  "AccountGroupId": "18b822be-db38-4678-9f01-149be2cdbfc7",
  "Ledger": "1920",
  "Aliases": {
    "Iban": "NO22123456789012",
    "PlusGirot": "1234567",
    "BankGirot": "1234567",
    "GiroKonto": "1234567"
  }
}

Updates bankaccount

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

bankAccountIdstring(uuid)required

Bank account id

Body

Bank account model

bicstringnon-emptyrequired

Bank identifier code

currencystring or null

Currency

ledgerstring or null

Ledger

aliasesobject(BankAccountAliases)
{ "Bic": "DNBANOKK", "Currency": "NOK", "Ledger": "1920", "Aliases": { "Iban": "NO22123456789012", "PlusGirot": "1234567", "BankGirot": "1234567", "GiroKonto": "1234567" } }

Responses

The updated account details

Body
accountIdstring(uuid)

Account identification

accountNumberstring or null

Account number

bicstring or null

Bank identification code

currencystring or null

Currency

accountGroupIdstring or null(uuid)

Account group identification

ledgerstring or null

Ledger

aliasesobject(BankAccountAliases)
connectionPropertiesobject or null

Connection properties

Response
{
  "AccountId": "2b676fe5-2053-41be-b28f-c35cdf68142c",
  "AccountNumber": "123456789012",
  "Bic": "DNBANOKK",
  "Currency": "NOK",
  "AccountGroupId": "36857964-a18a-4a3b-a5cd-c75eea7d51dd",
  "Ledger": "1920",
  "Aliases": {
    "Iban": "NO22123456789012",
    "PlusGirot": "1234567",
    "BankGirot": "1234567",
    "GiroKonto": "1234567"
  }
}

Deletes an account by companyId and accountId

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

bankAccountIdstring(uuid)required

Bank account id

No request payload

Responses

Deleted

Response
No content

Changes company on bankaccount

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
bankAccountIdstring(uuid)required

Bank account id

Body

Request with new company id

companyIdstring(uuid)required

New company id

{ "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda" }

Responses

OK

Body
accountIdstring(uuid)

Account identification

accountNumberstring or null

Account number

bicstring or null

Bank identification code

currencystring or null

Currency

accountGroupIdstring or null(uuid)

Account group identification

ledgerstring or null

Ledger

aliasesobject(BankAccountAliases)
connectionPropertiesobject or null

Connection properties

Response
{
  "AccountId": "b7f38315-7288-4688-9206-898ebfc35816",
  "AccountNumber": "123456789012",
  "Bic": "DNBANOKK",
  "Currency": "NOK",
  "AccountGroupId": "f764ecc2-6294-4e7a-a80a-0d3b526c0f6d",
  "Ledger": "1920",
  "Aliases": {
    "Iban": "NO22123456789012",
    "PlusGirot": "1234567",
    "BankGirot": "1234567",
    "GiroKonto": "1234567"
  }
}

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Receivable

Operations

Recipients

Operations

Services

Operations

Statement

Operations

User

Operations